| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Member Functions | List of all members
ShowFoto::ShowfotoThumbnailBar Class Reference
Inheritance diagram for ShowFoto::ShowfotoThumbnailBar:

## Public Slots
void | slotDockLocationChanged (Qt::DockWidgetArea area)
Public Slots inherited from ShowFoto::ShowfotoCategorizedView
void | hintAt (const ShowfotoItemInfo &info)
| Does something to gain attention for info, but not changing current selection.
void | setCurrentInfo (const ShowfotoItemInfo &info)
| Set as current item the item identified by the ShowfotoItemInfo.
void | setCurrentUrl (const QUrl &url)
| Set as current item the item identified by its file url.
void | setCurrentWhenAvailable (qlonglong ShowfotoItemId)
| Scroll the view to the given item when it becomes available.
void | setSelectedShowfotoItemInfos (const QList< ShowfotoItemInfo > &infos)
| Set selected items.
void | setSelectedUrls (const QList< QUrl > &urlList)
| Set selected items identified by their file urls.
void | setThumbnailSize (int size)
Public Slots inherited from Digikam::ItemViewCategorized
void | copy () override
void | cut () override
void | hideIndexNotification ()
void | paste () override
void | showIndexNotification (const QModelIndex &index, const QString &message)
Public Slots inherited from Digikam::DCategorizedView
void | reset () override

## Public Member Functions
| ShowfotoThumbnailBar (QWidget *const parent=nullptr)
ShowfotoItemInfo | findItemByUrl (const QUrl &url)
QModelIndex | firstIndex () const
void | installOverlays ()
QModelIndex | lastIndex () const
QModelIndex | nextIndex (const QModelIndex &index) const
QModelIndex | previousIndex (const QModelIndex &index) const
void | setFlow (QListView::Flow newFlow)
void | setModelsFiltered (ShowfotoItemModel *model, ShowfotoSortFilterModel *filterModel)
| This installs a duplicate filter model, if the ShwofotoItemModel may contain duplicates.
void | setScrollBarPolicy (Qt::ScrollBarPolicy policy)
| Sets the policy always for the one scroll bar which is relevant, depending on orientation.
int | thumbnailIndexForUrl (const QUrl &url) const
Public Member Functions inherited from ShowFoto::ShowfotoCategorizedView
| ShowfotoCategorizedView (QWidget *const parent=nullptr)
void | addOverlay (ItemDelegateOverlay *overlay, ShowfotoDelegate *delegate=nullptr)
| Add and remove an overlay.
ShowfotoItemInfo | currentInfo () const
QUrl | currentUrl () const
QItemSelectionModel * | getSelectionModel () const
ShowfotoItemInfo | nextInfo (const ShowfotoItemInfo &info)
ShowfotoItemInfo | nextInOrder (const ShowfotoItemInfo &startingPoint, int nth)
| Returns the n-th info after the given one.
ShowfotoItemInfo | previousInfo (const ShowfotoItemInfo &info)
void | removeOverlay (ItemDelegateOverlay *overlay)
QList< ShowfotoItemInfo > | selectedShowfotoItemInfos () const
QList< ShowfotoItemInfo > | selectedShowfotoItemInfosCurrentFirst () const
QList< QUrl > | selectedUrls () const
void | setModels (ShowfotoItemModel *model, ShowfotoSortFilterModel *filterModel)
virtual void | setThumbnailSize (const ThumbnailSize &size)
ShowfotoDelegate * | showfotoDelegate () const
ShowfotoFilterModel * | showfotoFilterModel () const
| Returns any ShowfotoFilterModel in chain.
QList< ShowfotoItemInfo > | showfotoItemInfos () const
ShowfotoItemModel * | showfotoItemModel () const
ShowfotoSortFilterModel * | showfotoSortFilterModel () const
ShowfotoThumbnailModel * | showfotoThumbnailModel () const
| Returns 0 if the ShowfotoItemModel is not an ShowfotoThumbnailModel.
ThumbnailSize | thumbnailSize () const
void | toIndex (const QUrl &url)
| Selects the index as current and scrolls to it.
QList< QUrl > | urls () const
Public Member Functions inherited from Digikam::ItemViewCategorized
| ItemViewCategorized (QWidget *const parent=nullptr)
void | awayFromSelection ()
DItemDelegate * | delegate () const
void | invertSelection ()
bool | isToolTipEnabled () const
int | numberOfSelectedIndexes () const
void | scrollTo (const QModelIndex &index, ScrollHint hint=EnsureVisible) override
void | scrollToRelaxed (const QModelIndex &index, ScrollHint hint=EnsureVisible)
| Like scrollTo, but only scrolls if the index is not visible, regardless of hint.
void | setInitialSelectedItem (bool enabled)
| Ensure a initial selected item.
void | setScrollCurrentToCenter (bool enabled)
| Scroll automatically the current index to center of the view.
void | setScrollStepGranularity (int factor)
| Determine a step size for scrolling: The larger this number, the smaller and more precise is the scrolling.
void | setSelectedIndexes (const QList< QModelIndex > &indexes)
void | setSpacing (int spacing)
| Sets the spacing.
void | setToolTipEnabled (bool enabled)
void | setUsePointingHandCursor (bool useCursor)
| Set if the PointingHand Cursor should be shown over the activation area.
void | toFirstIndex ()
| Selects the index as current and scrolls to it.
void | toIndex (const QModelIndex &index)
void | toLastIndex ()
void | toNextIndex ()
void | toPreviousIndex ()
Public Member Functions inherited from Digikam::DCategorizedView
| DCategorizedView (QWidget *const parent=nullptr)
virtual QModelIndexList | categorizedIndexesIn (const QRect &rect) const
| This method will return all indexes whose visual rect intersects `rect`.
virtual QModelIndex | categoryAt (const QPoint &point) const
| This method will return the first index of the category in the region of which `point` is found.
DCategoryDrawer * | categoryDrawer () const
virtual QItemSelectionRange | categoryRange (const QModelIndex &index) const
| This method returns the range of indexes contained in the category in which `index` is sorted.
virtual QRect | categoryVisualRect (const QModelIndex &index) const
| This method will return the visual rect of the header of the category in which `index` is sorted.
QModelIndex | indexAt (const QPoint &point) const override
void | setCategoryDrawer (DCategoryDrawer *categoryDrawer)
void | setDrawDraggedItems (bool drawDraggedItems)
| Switch on drawing of dragged items.
void | setGridSize (const QSize &size)
void | setModel (QAbstractItemModel *model) override
QRect | visualRect (const QModelIndex &index) const override
Public Member Functions inherited from Digikam::DragDropViewImplementation
virtual void | copy ()
virtual void | cut ()
virtual void | paste ()

## Protected Member Functions
bool | event (QEvent *) override
Protected Member Functions inherited from ShowFoto::ShowfotoCategorizedView
virtual void | activated (const ShowfotoItemInfo &info, Qt::KeyboardModifiers modifiers)
| Reimplement these in a subclass.
void | currentChanged (const QModelIndex &index, const QModelIndex &previous) override
AbstractItemDragDropHandler * | dragDropHandler () const override
| You need to implement these three methods Returns the drag drop handler.
QSortFilterProxyModel * | filterModel () const override
| reimplemented from parent class
void | indexActivated (const QModelIndex &index, Qt::KeyboardModifiers modifiers) override
QModelIndex | nextIndexHint (const QModelIndex &indexToAnchor, const QItemSelectionRange &removed) const override
| Assuming the given indexes would be removed (hypothetically!), return the index to be selected instead, starting from anchor.
void | selectionChanged (const QItemSelection &, const QItemSelection &) override
void | setItemDelegate (ShowfotoDelegate *delegate)
void | showContextMenuOnIndex (QContextMenuEvent *event, const QModelIndex &index) override
| Reimplement these in a subclass.
virtual void | showContextMenuOnInfo (QContextMenuEvent *event, const ShowfotoItemInfo &info)
void | updateGeometries () override
Protected Member Functions inherited from Digikam::ItemViewCategorized
void | contextMenuEvent (QContextMenuEvent *event) override
| reimplemented from parent class
QModelIndex | indexForCategoryAt (const QPoint &pos) const
| Returns an index that is representative for the category at position pos.
void | keyPressEvent (QKeyEvent *event) override
void | leaveEvent (QEvent *event) override
QModelIndex | mapIndexForDragDrop (const QModelIndex &index) const override
| Note: pure virtual dragDropHandler() still open from DragDropViewImplementation.
void | mouseMoveEvent (QMouseEvent *event) override
void | mousePressEvent (QMouseEvent *event) override
void | mouseReleaseEvent (QMouseEvent *event) override
QModelIndex | moveCursor (CursorAction cursorAction, Qt::KeyboardModifiers modifiers) override
QPixmap | pixmapForDrag (const QList< QModelIndex > &indexes) const override
| Creates a pixmap for dragging the given indexes.
void | reset () override
void | resizeEvent (QResizeEvent *e) override
void | rowsAboutToBeRemoved (const QModelIndex &parent, int start, int end) override
void | rowsInserted (const QModelIndex &parent, int start, int end) override
void | rowsRemoved (const QModelIndex &parent, int start, int end) override
void | selectionChanged (const QItemSelection &, const QItemSelection &) override
void | setItemDelegate (DItemDelegate *delegate)
void | setToolTip (ItemViewToolTip *tip)
virtual void | showContextMenu (QContextMenuEvent *event)
virtual bool | showToolTip (const QModelIndex &index, QStyleOptionViewItem &option, QHelpEvent *e=nullptr)
| Provides default behavior, can reimplement in a subclass.
void | updateDelegateSizes ()
void | userInteraction ()
bool | viewportEvent (QEvent *event) override
void | wheelEvent (QWheelEvent *event) override
Protected Member Functions inherited from Digikam::DCategorizedView
void | dragLeaveEvent (QDragLeaveEvent *event) override
void | dragMoveEvent (QDragMoveEvent *event) override
void | dropEvent (QDropEvent *event) override
void | leaveEvent (QEvent *event) override
void | mouseMoveEvent (QMouseEvent *event) override
void | mousePressEvent (QMouseEvent *event) override
void | mouseReleaseEvent (QMouseEvent *event) override
QModelIndex | moveCursor (CursorAction cursorAction, Qt::KeyboardModifiers modifiers) override
void | paintEvent (QPaintEvent *event) override
void | resizeEvent (QResizeEvent *event) override
void | setSelection (const QRect &rect, QItemSelectionModel::SelectionFlags flags) override
void | startDrag (Qt::DropActions supportedActions) override
Protected Member Functions inherited from Digikam::DragDropViewImplementation
virtual QAbstractItemView * | asView ()=0
| This one is implemented by DECLARE_VIEW_DRAG_DROP_METHODS.
bool | decodeIsCutSelection (const QMimeData *mimeData)
void | dragEnterEvent (QDragEnterEvent *event)
| Implements the relevant QAbstractItemView methods for drag and drop.
void | dragMoveEvent (QDragMoveEvent *e)
void | dropEvent (QDropEvent *e)
void | encodeIsCutSelection (QMimeData *mime, bool isCutSelection)
void | startDrag (Qt::DropActions supportedActions)

## Additional Inherited Members
Signals inherited from ShowFoto::ShowfotoCategorizedView
void | currentInfoChanged (const ShowfotoItemInfo &info)
void | deselected (const QList< ShowfotoItemInfo > &nowDeselectedInfos)
| Emitted when items are deselected.
void | modelChanged ()
| Emitted when a new model is set.
void | selected (const QList< ShowfotoItemInfo > &newSelectedInfos)
| Emitted when new items are selected.
void | showfotoItemInfoActivated (const ShowfotoItemInfo &info)
| Emitted when the given ShowfotoItemInfo is activated.
Signals inherited from Digikam::ItemViewCategorized
void | itemSelectionChanged ()
| Emitted when any item selection change occurs.
void | keyPressed (QKeyEvent *e)
| Remember you may want to check if the event is accepted or ignored.
void | selectionCleared ()
| Emitted when the selection is completely cleared.
void | signalClicked (const QMouseEvent *e, const QModelIndex &index)
| For overlays: Like the respective parent class signals, but with additional info.
void | signalEntered (const QMouseEvent *e, const QModelIndex &index)
void | viewportClicked (const QMouseEvent *e)
| While clicked() is emitted with a valid index, this corresponds to clicking on empty space.
void | zoomInStep ()
void | zoomOutStep ()
Protected Slots inherited from Digikam::ItemViewCategorized
void | layoutAboutToBeChanged ()
void | layoutWasChanged ()
void | slotActivated (const QModelIndex &index)
void | slotClicked (const QModelIndex &index)
void | slotEntered (const QModelIndex &index)
virtual void | slotSetupChanged ()
virtual void | slotThemeChanged ()
Protected Slots inherited from Digikam::DCategorizedView
void | currentChanged (const QModelIndex &current, const QModelIndex &previous) override
void | rowsInserted (const QModelIndex &parent, int start, int end) override
virtual void | rowsInsertedArtifficial (const QModelIndex &parent, int start, int end)
virtual void | slotLayoutChanged ()
void | updateGeometries () override

## Member Function Documentation

## ◆ setModelsFiltered()

void ShowFoto::ShowfotoThumbnailBar::setModelsFiltered | ( | ShowfotoItemModel * | model,
|  | ShowfotoSortFilterModel * | filterModel
| ) |  |

Otherwise, just use setModels().